Name:           ocamlviz
Version:        1.01
Release:        %mkrel 10
Summary:        Real-time profiling tools for Objective Caml
License:        LGPL + linking exception
Group:          Development/OCaml
URL:            http://ocamlviz.forge.ocamlcore.org/
Source0:        http://ocamlviz.forge.ocamlcore.org/ocamlviz-%{version}.tar.gz
Source1:        META
Source2:        ocaml.png
BuildRequires:  ocaml-lablgtk2-devel
BuildRequires:  ocaml-cairo-devel
BuildRequires:  ocaml-camlp4-devel
Requires:       ocaml-cairo
Requires:       ocaml-lablgtk2

%global __ocaml_requires_opts -i Protocol -i Monitor_sig

%description
Ocamlviz gives the ability to instrument an existing code, in real
time, with lightweight monitoring annotations. Ocamlviz can also be
used as a debugging tool.

Here are a few possibilities provided by Ocamlviz:
 * observe details about the garbage collector
 * observe how many times the program goes through a point
 * make a set of values (any) and count its cardinal number and its
   size in the heap
 * observe how much time passed between two points of the program
 * observe the value of integers, floating-point numbers, booleans
   and strings
 * observe details about hash tables, like the number of empty
   buckets, or the filling rate
 * etc

Ocamlviz offers two sorts of client output:
 * an ASCII client, the monitoring is displayed in a file
 * a Graphical User Interface, using Lablgtk2, that allows, for
   instance, displaying data in a graph

%prep
%setup -q -n %{name}
cp %{SOURCE1} META
sed -i -e "s:@VERSION@:%{version}:g" META
cp %{SOURCE2} .

%build
./configure
make

%install
install -d %{buildroot}/`ocamlc -where`/ocamlviz
install -d %{buildroot}/`ocamlc -where`/ocamlviz/camlp4
install -d %{buildroot}/%{_datadir}/pixmaps/
make install prefix=%{buildroot}/usr OCAMLLIB=%{buildroot}/`ocamlc -where`/ocamlviz
install -m 0644 camlp4/pa_ocamlviz.ml %{buildroot}/`ocamlc -where`/ocamlviz/camlp4/
install -m 0644 META %{buildroot}/`ocamlc -where`/ocamlviz/
install -m 0644 ocaml.png %{buildroot}/%{_datadir}/pixmaps/

mv doc docs
mkdir doc
make doc
mv doc html

%files
%doc LICENSE README CHANGELOG.txt
%doc docs html
%{_bindir}/ocamlviz-ascii
%{_bindir}/ocamlviz-gui
%{_libdir}/ocaml/ocamlviz/META
%{_libdir}/ocaml/ocamlviz/*.cmi
%{_libdir}/ocaml/ocamlviz/*.mli
%{_libdir}/ocaml/ocamlviz/*.cma
%{_libdir}/ocaml/ocamlviz/*.cmxa
%{_libdir}/ocaml/ocamlviz/*.a
%{_libdir}/ocaml/ocamlviz/camlp4/*
%{_mandir}/man1/ocamlviz.1*
%{_datadir}/pixmaps/ocaml.png


%changelog
* Mon Feb 01 2016 pterjan <pterjan> 1.01-10.mga6
+ Revision: 930645
- Rebuild for new ocaml

* Wed Oct 29 2014 malo <malo> 1.01-9.mga5
+ Revision: 794415
- fix dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.01-8.mga5
+ Revision: 739915
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 tv <tv> 1.01-7.mga5
+ Revision: 736967
- rebuild for broken deps

* Tue Sep 16 2014 umeabot <umeabot> 1.01-6.mga5
+ Revision: 683142
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 wally <wally> 1.01-5.mga5
+ Revision: 638962
- rebuild for mga5

* Sun Jan 13 2013 umeabot <umeabot> 1.01-4.mga3
+ Revision: 361755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.01-3.mga3
+ Revision: 302065
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.01-2.mga3
+ Revision: 300551
- new rpm group for ocaml
- converted icon from .xpm to .png

* Sat Jan 07 2012 blue_prawn <blue_prawn> 1.01-1.mga2
+ Revision: 192907
- imported package from Mandriva where it was made by Florent Monnier (blue_prawn), the META file comes from the Debian package made by Mehdi Dogguy

